/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import zero.json.Json;

import groovy.rainmaker.logging.*;
import com.ibm.websphere.rainmaker.auditing.*;
import com.ibm.websphere.rest.RESTUtils;

def onList() {
	if (!RESTUtils.authorized())
		 return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    def filter = [:];
    zlist('/request/params').each {
        def parts = it.tokenize('/');
        if(parts.size()>2) {
            def name = parts[2];
            //RESTUtils.authorized will inject 'render' as parameter to request scope, which is not a valid filter, removing it from filter condition
            if (name != 'render'&& name !='Pzcsrf') { 
            	filter[name] = zget(it);
            }
        }
    }

   	request.headers.out.'Content-Type' = 'text/csv';
    request.headers.out.'Content-Disposition' = 'inline; filename=audit.csv';
    // set these headers to avoid caching issues with IE over SSL
    request.headers.out.Expires = '0';
    request.headers.out.Pragma = 'cache';
    request.headers.out.'Cache-Control' = 'private';


    AuditDataHelper.saveAuditLogInCSV(AuditDataHelper.getAuditData(filter), request.outputStream[]);
	
}

