/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

import com.ibm.websphere.users.Permissions;
import com.ibm.websphere.rest.RESTUtils;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

def onList()
{
//    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
    if (!RESTUtils.authorized())
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    def enableRESTCSRFProtection = false;
    //if(onAppliance()){
    	enableRESTCSRFProtection = zget(config.rainmaker.defaultPersistentZone[] + "/enableRESTCSRFProtection",false);
    //}
    request.json.output = enableRESTCSRFProtection;
    render();
}

def onPutCollection()
{
//    if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
	if (!RESTUtils.authorized())
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def enableCSRFProtection = false;
    
    try
    {
    	def requestJson = Json.decode(request.input[]);
        enableCSRFProtection = (Boolean) requestJson.enableRESTCSRFProtection;
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
  
    //if(onAppliance()){
        if(enableCSRFProtection){
        	zput(config.rainmaker.defaultPersistentZone[] + "/enableRESTCSRFProtection", true );
        	logger.INFO { "enabling REST CSRF protection" };
        }
        else{
        	zput(config.rainmaker.defaultPersistentZone[] + "/enableRESTCSRFProtection", false );
        	logger.INFO { "disabling REST CSRF protection" };
        }
    //}

    request.status = 204;
        
}
