/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

import com.ibm.websphere.users.Permissions;
import com.ibm.websphere.rest.RESTUtils;

def onList()
{
    //if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
    if (!RESTUtils.authorized())
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    request.json.output = storage.rainmaker.mail.sender[];
    render();
}

def onPutCollection()
{
    //if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
    if (!RESTUtils.authorized())
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def address = null;
    
    try
    {
        address = Json.decode(request.input[]);
        if (!com.ibm.websphere.rest.RESTUtils.areValidParameters(address)){
              return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002');
		}
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
    
    def persistentAddress = address.trim().length() > 0 ? address : null;
    storage.rainmaker.mail.sender = persistentAddress;
    zput(config.rainmaker.defaultPersistentZone[] + "/rainmaker/mail/sender",  persistentAddress);
   
    request.status = 204;
    
    logger.INFO { "Default reply-to address is now ${storage.rainmaker.mail.sender[]}." };
}
