/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import com.ibm.websphere.rest.RESTUtils;

def onList()
{
	if (com.ibm.ws.xsa.common.Utility.isAppliance() && !RESTUtils.authorized())
		 return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
	def tmpDir = new File(config.tmpDir[]);    
	def currentSize = 0;
    
	def lastModified;
	
	tmpDir.eachFileMatch(~/MultiPart.*/){
		def file = it;
		def tmpLastModified = file.lastModified();	//only worry about newest file
		if(tmpLastModified > lastModified){
			lastModified = tmpLastModified;
	        def oldSize = zget("/tmp/${it}");
	        currentSize = file.size();
	        if (oldSize && currentSize > oldSize){
			    zput("/tmp/${it}", currentSize);
	        }
		}
	}
    
    request.writer[].write("... ${(currentSize / 1048576).toInteger()} MB");
}
