/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import zero.json.Json;

import com.ibm.websphere.users.Permissions;
import com.ibm.websphere.rest.RESTUtils;

def onList()
{
    //if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
    if (!RESTUtils.authorized())
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
    request.json.output = config.connection.defaults.smtp.hostname[];
    render();
}

def onPutCollection()
{
    //if (!user.session[].permissions.contains(Permissions.APPLIANCE_ADMIN))
    if (!RESTUtils.authorized())
        return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
    
    def uri = null;
    
    try
    {
        uri = Json.decode(request.input[]);
        if (!com.ibm.websphere.rest.RESTUtils.areValidParameters(uri)){
              return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002');
		}
    }
    
    catch (Throwable t)
    {
        return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002', t);
    }
    
    config.connection.defaults.smtp.hostname = uri;
    //storage.rainmaker.mail.smtp = uri;
    zput(config.rainmaker.defaultPersistentZone[] + "/rainmaker/mail/smtp", uri)
    
    request.status = 204;
}
