/*
  Licensed Materials - Property of IBM
  IBM WebSphere CloudBurst Appliance (9235-72X)
  Copyright IBM Corporation 2009. All Rights Reserved.
  US Government Users Restricted Rights - Use, duplication or disclosure
  restricted by GSA ADP Schedule Contract with IBM Corp.
*/

import com.ibm.ws.xsa.snmp.exception.AddingDuplicateSNMPCommunityException;
import com.ibm.ws.xsa.snmp.CommunityOperations;
import zero.json.Json;
import com.ibm.websphere.rest.RESTUtils;

def onList()
{
	if (!RESTUtils.authorized())
		 return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
	CommunityOperations commOps = CommunityOperations.getInstance();
	request.json.output = commOps.getSNMPCommunities(false);
	request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
	render();
}

def onPutCollection() {
	if (!RESTUtils.authorized())
		 return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
	def updatedSubscriberState = Json.decode(request.input[]);
	if (!com.ibm.websphere.rest.RESTUtils.areValidParameters(updatedSubscriberState)){
              return com.ibm.websphere.rest.RenderUtils.renderError(400, 'RM08002');
	}
	try {
		CommunityOperations commOps = CommunityOperations.getInstance();
		def success = commOps.updateSNMPTrapSubscriptions(updatedSubscriberState.oid, updatedSubscriberState.enabled); 		
		if (!success)
			return com.ibm.websphere.rest.RenderUtils.renderError(404, 'RM08001');
			
		request.json.output = updatedSubscriberState;
		request.view = com.ibm.websphere.rest.RenderUtils.getRequestedView();
		render();
	} catch (Throwable t) {
		return com.ibm.websphere.rest.RenderUtils.renderError(500, 'RM08005', t);
	}

}