/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import zero.json.Json;

import groovy.rainmaker.logging.*;
import groovy.rainmaker.constants.*;
import com.ibm.websphere.rainmaker.auditing.*;
import com.ibm.websphere.rest.RESTUtils;


def onList() 
{
	if (!RESTUtils.authorized())
		 return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');

    def filter = [:];
    
    zlist('/request/params').each 
    {
        def parts = it.tokenize('/');
        if(parts.size() > 2) 
        {
            def name = parts[2];
            filter[name] = zget(it);
        }
    }
    
    def filtered  = AuditDataHelper.getAuditData(filter);
    
    def ret = generateUsageData(filtered);
    
    request.view = "JSON";
    request.json.output = ret;
    render();
}
