import com.ibm.websphere.rest.RESTUtils;
import com.ibm.websphere.acl.AccessControls;

def onList() {
    RESTUtils.handleOnList([name: request.params.name[]]);
}

def onRetrieve()
{
    RESTUtils.handleOnRetrieve(request.params.dynacachesId[]);
}

def onCreate()
{
    RESTUtils.handleOnCreate();
}

def onUpdate()
{
    /*
     * Only allow owners and admins to update the cache.
     */
    def resourceType = "dynacaches";
    def resourceID   = request.params.dynacachesId[];
    def ownerID      = AccessControls.getResourceOwnerId(resourceType, resourceID);
	def userID       = user.session[]?.id;
     
    if (!AccessControls.isAdmin(userID) && ownerID != userID)
		return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');

    RESTUtils.handleOnUpdate(resourceID);
}

def onDelete()
{
    /*
     * Only allow owners and admins to delete a cache.
     */
    def resourceType = "dynacaches";
    def resourceID   = request.params.dynacachesId[];
    def ownerID      = AccessControls.getResourceOwnerId(resourceType, resourceID);
	def userID       = user.session[]?.id;
     
    if (!AccessControls.isAdmin(userID) && ownerID != userID)
		return com.ibm.websphere.rest.RenderUtils.renderError(403, 'RM08008');
		
    RESTUtils.handleOnDelete(resourceID);
}